Subject: Birds Eat My Forsythia?

From: [email-masked] (Nancy C.)
Date: Fri, 31 Mar 1995 23:18:52 GMT

Why are purple finches, who have been fed regularly with gourment bird
bird seed, nipping off the buds of my forsythia (on rooftop garden in NYC)
 - perhaps not eating the blossoms, but arrogantly tearing them off and
spitting them out?  Yikes... the things plants have to put up with!

Nancy C.